[metadata]
description-file = README.md

[aliases]
test = pytest

[run]
branch = True
source = ska_sdp_logging
omit = */__init__.py

[tool:pytest]
junit_family=legacy
addopts = -vv
          --pylint
          --capture=no
          --cov=ska_sdp_logging
          --cov-config=setup.cfg
          --cov-report=term
          --cov-report=html
          --no-cov-on-fail
          --cov-append
          --cov-branch
          --junitxml=unit-tests.xml

[report]
skip_covered = False
sort = Cover
